package com.ruoyi.mall.mapper;

import com.ruoyi.mall.domain.Bo.StaticReportItemBo;
import com.ruoyi.mall.domain.Bo.staticDataBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface StaticDataMapper {
    //来源渠道占比
    Map<String,Long> getIntroFree(staticDataBo staticData);
    //会员统计占比
    Map<String,Long> getYLife(staticDataBo staticData);
    //学校填报统计  通过批次的选择缩小学校范围 再通过成绩区间和时间区间 筛选各学校填报数据
    List<StaticReportItemBo> getSchool(staticDataBo staticData);
    List<String> getSchoolX(staticDataBo staticData);
    //专业填报统计
    List<String> getMajorX(staticDataBo staticData);
    List<StaticReportItemBo> getMajor(staticDataBo staticData);

}
